Attribute VB_Name = "DAOmodule"
Option Explicit
Public MySpace As Workspace
Public DB As Database
Public SelectedLocation As Integer
Public AllotedBus As Integer
Public AllotedHotel As Integer
Public AllotedSeats As Integer
Public Sub connect()
Set MySpace = DBEngine.CreateWorkspace("GhouseWorkspace", "MC7023", "HAMEED", dbUseODBC)
MySpace.DefaultCursorDriver = dbUseODBCCursor
Set DB = MySpace.OpenDatabase("", , False, "ODBC;UID=scott;PWD=tiger;DSN=MYDSN")
End Sub
Public Function getLocations() As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from locations", dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getLocations = Rs
End Function
Public Function getBuses() As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from buses", dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getBuses = Rs
End Function
Public Function getHotels() As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from hotels", dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getHotels = Rs
End Function
Public Function getCustomers() As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from customers", dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getCustomers = Rs
End Function
Public Function getMaximumLocationNumber() As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select max(locno) from locations", dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getMaximumLocationNumber = Rs
End Function
Public Function getMaximumHotelNumber() As Recordset
End Function
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select max(hotelno) from hotels", dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getMaximumHotelNumber = Rs
End Function
Public Function getMaximumCustomerNumber() As Recordset
End Function
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select max(custno) from customers", dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getMaximumCustomerNumber = Rs 'End Function
Public Function getBusRecord(BusNumber As Integer) As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from buses where busno=" & CStr(BusNumber), dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getBusRecord = Rs
End Function
Public Function getLocationRecord(LocationNumber As Integer) As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from locations where locno=" & CStr(LocationNumber), dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getLocationRecord = Rs
End Function
Public Function getHotelRecord(HotelNumber As Integer) As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from hotels where hotelno=" & CStr(HotelNumber), dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getHotelRecord = Rs
End Function
Public Function getCustomerRecord(CustomerNumber As Integer) As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from customers where custno=" & CStr(CustomerNumber), dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getCustomerRecord = Rs
End Function


Public Function getAvailableBusesToLocation(LocationNumber As Integer, RequiredSeats As Integer) As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from buses where locno=" & CStr(LocationNumber) & "and availseats>=" & CStr(RequiredSeats), _
                          dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getAvailableBusesToLocation = Rs
End Function

Public Function getAvailableHotelsInLocation(LocationNumber As Integer) As Recordset
Dim Rs As Recordset
Set Rs = DB.OpenRecordset("select * from hotels where locno=" & CStr(LocationNumber), dbOpenDynaset, dbExecDirect, dbOptimistic)
Set getAvailableHotelsInLocation = Rs
End Function
